Subject: Re: [PATCH net-next v41 0/7] eea: Add basic driver framework for Alibaba Elastic Ethernet Adaptor

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Apr 2026 19:13:56 -0700

On Wed, 29 Apr 2026 10:37:19 +0800 Xuan Zhuo wrote:
> Add a driver framework for EEA that will be available in the future.
> 
> This driver is currently quite minimal, implementing only fundamental
> core functionalities. Key features include: I/O queue management via
> adminq, basic PCI-layer operations, and essential RX/TX data
> communication capabilities. It also supports the creation,
> initialization, and management of network devices (netdev). Furthermore,
> the ring structures for both I/O queues and adminq have been abstracted
> into a simple, unified, and reusable library implementation,
> facilitating future extension and maintenance.
> 
> v41:
>     1. make https://sashiko.dev/ happy

Does not look happy, some of the reports / asks look valid. 
FWIW we have another sashiko instance now:
https://netdev-ai.bots.linux.dev/sashiko/#/patchset/[email-masked]
You should definitely follow the advice to rename the config,
and also failing probe because the FW doesn't like the kernel
version is not acceptable upstream. You can print a warning
but failure is not acceptable.
-- 
pw-bot: cr